#!/bin/sh

name="curl"
title="cURL"
package="curl"
version="7.10.4"
build="1"
noarch="n"
build_info="Standard build."

info="Command line tool and library for client-side URL transfers."
desc="curl and libcurl is a tool for transferring files using URL
syntax. It supports HTTP, HTTPS, FTP, FTPS, DICT, TELNET,
LDAP, FILE, and GOPHER, as well as HTTP-post, HTTP-put,
cookies, FTP upload, resumed transfers, passwords,
portnumbers, SSL certificates, Kerberos, and proxies. It is
powered by libcurl, the client-side URL transfer library.
There are bindings/interfaces to libcurl for more than a
dozen languages and environments."
category="net/server/client"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="CHANGES,COPYING,README,SSLCERTS,docs/{BINDINGS,BUGS,CONTRIBUTE,FAQ,FEATURES,HISTORY,INSTALL,INTERNALS,KNOWN_BUGS,MANUAL,RESOURCES,THANKS,TODO,TheArtOfHttpScripting,VERSIONS,libcurl-the-guide}"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://curl.haxx.se/download/$name-$version.tar.bz2

configure_option --prefix=/usr

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

make_docs

make_package main

clean_up

# $Log: curl.builder,v $
# Revision 1.4  2003/04/02 20:49:06  swiergot
# - Build 1.
#
# Revision 1.3  2003/04/02 20:43:02  swiergot
# - Version 7.10.4.
#
# Revision 1.2  2003/02/07 18:30:59  swiergot
# - Build 1.
#
# Revision 1.1  2003/01/16 17:32:42  swiergot
# - Initial release.
# - Version 7.10.3.
#
